Subject: RE: [Ltru] Re: does the Draft gives all the guidelinesrequired by the Registry

From: "Addison Phillips" <[email-masked]>
Date: Thu, 7 Jul 2005 09:08:06 -0700

Some responses below. I'll note that you are straying from the draft, which has already addressed your concerns in this area.

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> > > This information is of no interest to the users. It gives Karen Broome
> > > and possibly Sony a stewardship on the American Spanish some could
> > > seriously object.
> >
> >Incorrect.  It says right there, "Name of requester."  It is the name of
> >the person who has filed the request to have the language tag
> >registered.  Neither RFC 3066 nor any other document implies or requires
> >that the requester has any expertise in the language.
> 
> I am glad you write that.
> 
> 1. I think the first requirement should be that he is authoritative in the
> language or an active user of the language.
[Addison Phillips] 

We can't require that from the requester: you propose a test for language authority? It is nice/best when the requester is authoritative about the language, but we cannot require it.

> 2. the Draft gives the registrant a priority/authority in discussing
> modifications concerning the language I want to see removed, for the
> reason
> you give: nothing "implies or requires that the request has any expertise
> in the language".
[Addison Phillips] 

Read the draft. RFC 3066 says something about the requester and gives that person some level of "authority" about a registered tag. The draft reduces this level of authority somewhat (it suggests that objections by the original requester will be taken more seriously than others), but this is not normative in any sense.

> 3. actually I do not see any reason why this name is recorded. No one owns
> a language: the request just represents the lingual or the global internet
> commuity. Otherwise the participants to the ietf-languages mailing list
> should also be recorded.
[Addison Phillips] 

The name is not recorded in the registry under the draft.

> 4. IMHO the procedure should be the otherway around. Anyone can register
> any language except if within 15 days were risen serious objections
> accepted by the Reviewer.
[Addison Phillips] 

Suggest how you would modify text in the draft. It is possible to read both RFC 3066 and the draft in the way you suggest (i.e. if no one raises serious objections, then the Reviewer is somehow obligated to register the tag/subtag--lack of serious objections equals consensus)

> 
> >The presence of "sony.com" in Karen's e-mail address says nothing about
> >Sony's support of, or opposition to, her request, just as the presence
> >of "adelphia.net" in my e-mail address says nothing about whether
> >Adelphia agrees with what I say here.
> >
> >It is true that most users will not care who requested a tag, once the
> >tag is registered.
> 
> This is not necessarily the feeling everywhere. When Peter Constable and
> Mark Davis registered Tajik and Chinese langtags, you may have noted that
> several times the mention was made on the [email-masked]
> mailing list these requests were made by Microsoft and IBM. 
[Addison Phillips] 

Those requests were supported by those companies. Companies may have an official position; whether such a position matters or not is a separate question.

I took
> acception of that in made some publicity of it (what was reproached to me).
> A Government note was copied to me about the concern that this might lead
> sales people to label their product "xxxx IANA registered xx-xxxx-xx
> inside". This is in direct line with the IAB fear in RFC 3869 (I quote:
> "The principal thesis of this document is that if commercial funding is
> the
> main source of funding for future Internet research, the future of the
> Internet infrastructure could be in trouble.").
[Addison Phillips] 

Incomprehensible.
> 
> You will understand that as a non-commercially funded searcher (AFRAC is a
> non-profit), I share these concerns expressed by several officials from
> different countries on different continents.
[Addison Phillips] 

People not corresponding on this list do not exist, insofar as RFC 2026 recognizes. We can't respond to vague concerns of people we cannot correspond with outselves.

> 
> > >> Native name of language (transcribed into ASCII): espanol de America
> > >> Latina, espanol latinoamericano
> > >
> > > This information misses the French name of the language.
> >
> >Rightly or wrongly, this information is not required by RFC 3066.  See
> >page 8.
> 
> I know and this is why I note it. General consensus among the non English
> mother tongue and a broad part of educated English mother tongue searchers
> I know is that the best fit is to use English as a koine and a quick
> experimentation tool due to its capacity to accept lose definitions and
> intuitive mutual rough understanding, and to use French as a reference
> language. The QA comes from a simultaneous work in both languages. The
> famous example of MPEG shown that MPEG convergence (radio, TV, media)
> could
> not have happen without a first working bridge between the English
> standard
> texts in French (to have a common term definition of the difference
> standards) to support the further work in English and a finalisation
> through duallanguage QA.
[Addison Phillips] 

But your objection was to getting the native name of the language instead of getting French?

In fact, the draft has already dealt with this issue and allows French (or any other language) to be registered in the description field.

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru